Commit 9415b738 authored by Francois-Rene Rideau's avatar Francois-Rene Rideau

2.27: release 2.26.175.

parent 57661451
......@@ -74,7 +74,7 @@
:licence "MIT"
:description "Another System Definition Facility"
:long-description "ASDF builds Common Lisp software organized into defined systems."
:version "2.26.175" ;; to be automatically updated by make bump-version
:version "2.27" ;; to be automatically updated by make bump-version
:depends-on ()
#+asdf3 :encoding #+asdf3 :utf-8
;; For most purposes, asdf itself specially counts as a builtin system.
......
cl-asdf (2:2.27-1) unstable; urgency=low
ASDF 2.27 is actually an almost complete rewrite of ASDF, and
should be considered a pre-release for a new ASDF 3.
should be considered a pre-release for an upcoming ASDF 3.
It nevertheless maintains backward compatibility with the current practice,
and is tested against the software in Quicklisp.
......@@ -201,6 +201,15 @@ cl-asdf (2:2.27-1) unstable; urgency=low
This makes it easier for developers to manage versioning
of one or multiple systems with a single master version location.
* COMPONENT-PROPERTY and the :PROPERTIES initarg of defsystem are deprecated;
though they are still supported for now, we intend to retire them
in a hypothetical future ASDF 4. To replace them, we recommend you instead
define a subclass of asdf:system, with new slots and/or initargs, and
use them with the :defsystem-depends-on and :class options of defsystem.
We looked at usage of in Quicklisp systems, and added to asdf:system
these slots corresponding to the general-purpose metadata we saw:
:homepage :bug-tracker :mailto :long-name
* Self-Upgrade of ASDF will happen automatically as the first thing
before any attempt to build anything, as it was determined that
doing it in the midst of a build breaks everything, and it is not
......@@ -268,7 +277,7 @@ cl-asdf (2:2.27-1) unstable; urgency=low
and that in your ~/.swank.lisp you should include:
(in-package :swank)
(pushnew 'try-compile-file-with-asdf *compile-file-for-emacs-hook*)
This requires ASDF 2.014.6 or later (as used by older quicklisp releases).
This requires ASDF 2.014.6 or later (as used by 2011 quicklisp releases).
-- Francois-Rene Rideau <fare@tunes.org> Thu, 22 Jan 2013 22:59:44 -0500
......
;;; -*- mode: Common-Lisp; Base: 10 ; Syntax: ANSI-Common-Lisp -*-
;;; This is ASDF 2.26.175: Another System Definition Facility.
;;; This is ASDF 2.27: Another System Definition Facility.
;;;
;;; Feedback, bug reports, and patches are all welcome:
;;; please mail to <asdf-devel@common-lisp.net>.
......
......@@ -51,7 +51,7 @@ You can compare this string with e.g.: (ASDF:VERSION-SATISFIES (ASDF:ASDF-VERSIO
;; "3.4.5.67" would be a development version in the official upstream of 3.4.5.
;; "3.4.5.0.8" would be your eighth local modification of official release 3.4.5
;; "3.4.5.67.8" would be your eighth local modification of development version 3.4.5.67
(asdf-version "2.26.175")
(asdf-version "2.27")
(existing-version (asdf-version)))
(setf *asdf-version* asdf-version)
(when (and existing-version (not (equal asdf-version existing-version)))
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment